
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PIC18系列单片机I/O端口操作寄存器及应用 / 憋错料</title>

    <meta name="description" content="PIC18系列单片机I/O端口操作寄存器及应用 试验芯片:Microchip PIC 18F4550 集成开发环境:MPLAB IDE v8.53 编译器:Microchip C18 PIC18系列单片机是美国微芯公司(Microchip)8位单片机系列中的高档系列,其任一I/O引脚允许的最大灌电流或最大拉电流达25mA,可以直接驱动LED和继电器.PORTA.PORTB 和PORTE 的最大灌电流或最大拉电流总和为200mA,PORTC和PORTD的最大灌电流或最大拉电流总和为200mA,PORTF和PORTG的最大灌电流或最大拉电流总和为">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">PIC18系列单片机I/O端口操作寄存器及应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>试验芯片：Microchip PIC 18F4550</p>
<p>集成开发环境：MPLAB IDE v8.53</p>
<p>编译器：Microchip C18</p>
<p>PIC18系列单片机是美国微芯公司（Microchip）8位单片机系列中的高档系列，其任一I/O引脚允许的最大灌电流或最大拉电流达25mA，可以直接驱动LED和继电器。PORTA、PORTB&nbsp;和PORTE&nbsp;的最大灌电流或最大拉电流总和为200mA，PORTC和PORTD的最大灌电流或最大拉电流总和为200mA，PORTF和PORTG的最大灌电流或最大拉电流总和为100mA（注：PIC18F4550没有这两个端口）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzUzNzg1OC8yMDE0MTIvMTQxODAxNDIyOTA2OTc5LmdpZg==.jpg" /></p>
<p>单片机和外设的交互都是通过I/O端口进行，每个I/O端口均有三个操作寄存器：</p>
<p><strong>1、TRISx&nbsp;&mdash;&mdash;&mdash;&nbsp;数据方向寄存器</strong></p>
<p>用来控制&nbsp;I/O&nbsp;引脚的方向，即用来控制PORTx&nbsp;是输入还是输出。</p>
<p><strong>2、PORTx&nbsp;&mdash;&mdash;&mdash; 端口寄存器</strong></p>
<p>用来锁存输出数据。当读PORTx&nbsp;时，器件直接读&nbsp;I/O&nbsp;引脚电平（而不是锁存值）。</p>
<p><strong>3、LATx&nbsp;&mdash;&mdash;&mdash; 输出数据锁存器</strong></p>
<p>写端口就是写该锁存器（LATx）。数据锁存器也可以直接读写。如果外设没有使用该引脚，并且TRISx位配置该引脚为输出，则将锁存器内的数据输出到引脚。</p>
<p>在复位状态下，TRISx&nbsp;的复位值为0xff，即TRISx&nbsp;寄存器的8个位（D0 ~ D7）的值均为1。此时相应的PORTx&nbsp;引脚被定义为输入，相应的输出驱动器呈现高阻状态。设置为0时表示相应的引脚定义为输出。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzUzNzg1OC8yMDE0MTIvMTQxODE5MzUxODEzMjIwLmpwZw==.jpg" /></p>
<p>这里应注意的是写PORT就是写LAT，但读PORT和读LAT不同。读PORT读的是引脚的状态，无论该引脚设置为输入引脚还是输出引脚。而读LAT得到的是输出数据锁存器的存储值，读LAT得到的值可能和读PORT得到的值存在不同。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzUzNzg1OC8yMDE0MTIvMTQxODE5NTM4MDYxNjc3LmdpZg==.jpg" /></p>
<p>在Microchip C18中，I/O端口三个操作寄存器可以按位（bit）操作，也可以按字节（byte）操作。</p>
<p>如端口B的方向寄存器用TRISB（或DDRB）表示，某一位用TRISBbits.TRISB0（或DDRB bits.RB0）表示。字节用TRISB（或DDRB）表示。</p>
<p>如端口B的PORT寄存器用PORTB表示，某一位用PORTBbits.RB0表示。字节用PORTB表示。</p>
<p>如端口B的输出数据锁存器用LATB表示，某一位用LATBbits.&nbsp;LATB0表示。字节用LATB表示。</p>
<p>由于芯片复位后，LATx（PORTx）锁存器的值是随机的，为了排除&nbsp;I/O&nbsp;引脚电平出现毛刺的可能性，在初始化端口时，首先初始化该PORT&nbsp;的数据锁存器（LAT&nbsp;或PORT&nbsp;寄存器），然后再初始化数据方向寄存器TRIS。</p>
<p>下面用一个实例说明一下具体应用，下图PIC18F4550与电源、晶振和发光二极管组成一个最简单的8位单片机系统，要求同时点亮8个发光二极管。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzUzNzg1OC8yMDE0MTIvMTQxODIxMDEyNDMzNTEzLmdpZg==.jpg" /></p>
<p>首先可以选择按位操作的方法实现。不难看出，按位操作实际不是真正实现同时点亮与PORTB相连的8个发光二极管，只是发光二极管发光的延时效应掩盖了依次点亮的事实，使得最终效果达到了同时点亮。以下是按位操作方式的实现代码。</p>
<p>#include&lt;p18f4550.h&gt;</p>
<p>void main(void)</p>
<p>{</p>
<p>　　PORTBbits.RB0=1;</p>
<p>　　TRISBbits.TRISB0=0;&nbsp;//点亮第1个LED</p>
<p>　　PORTBbits.RB1=1;</p>
<p>　　TRISBbits.TRISB1=0; //点亮第2个LED</p>
<p>　　PORTBbits.RB2=1;</p>
<p>　　TRISBbits.TRISB2=0; //点亮第3个LED</p>
<p>　　PORTBbits.RB3=1;</p>
<p>　　TRISBbits.TRISB3=0; //点亮第4个LED</p>
<p>　　PORTBbits.RB4=1;</p>
<p>　　TRISBbits.TRISB4=0; //点亮第5个LED</p>
<p>　　PORTBbits.RB5=1;</p>
<p>　　TRISBbits.TRISB5=0; //点亮第6个LED</p>
<p>　　PORTBbits.RB6=1;</p>
<p>　　TRISBbits.TRISB6=0; //点亮第7个LED</p>
<p>　　PORTBbits.RB7=1;</p>
<p>　　TRISBbits.TRISB7=0; //点亮第8个LED</p>
<p>　　while(1);</p>
<p>}</p>
<p>其次可以按字节操作来实现，代码比按位操作要简单很多，而且真正实现了同时点亮的要求。以下是按字节操作方式的实现代码。</p>
<p>#include&lt;p18f4550.h&gt;</p>
<p>void main(void)</p>
<p>{</p>
<p>　　PORTB=0xff;</p>
<p>　　TRISB=0x00;&nbsp;//点亮8个LED</p>
<p>　　while(1);</p>
<p>}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 13:08:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>PIC18系列单片机I/O端口操作寄存器及应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p695x0.html" rel="bookmark">freescale飞思卡尔 HCS12 系列单片机bootloader详解（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇文章中我们做了对HC9S12系列单片机存储空间的划分,但是相比于整个bootloader的工作而言,这只是非常基础的一步,有很多基础的概念在上一篇的操作中我们并没有涉及到.比如较复杂单片机中单片机的存储空间到底是什么样的,具体怎么用C语言对它进行寻址.因为我们单片机的存储空间一般由如下的构成,RAM,ROM以及EEPROM等等.比如在我在本篇中举例介绍的9S12G128单片机,它的RAM空间有8KB,EEPROM有4KB,FLASH有128KB.如何将这几个存储空间合理的组织起来想必单片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBz6ByM.html" rel="bookmark">STC15系列单片机教程之一：OneLED</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				STC15系列单片机教程之一:OneLED STC15系列单片机教程之一:OneLED一.开发软件准备二.STC15F2K60S单片机IO分配三.程序编写1.Keil 新建项目2.编写程序3. 程序的编译四.固件下载总结 本系列教程开始学习STC15系列单片机的C语言编程,读者需要有C语言的基础知识. 一.开发软件准备 1. 安装编程软件:Keil 2. 下载软件STC_Isp 3. 配置keil下的STC单片机编程环境 点击添加信号和头文件到Keil中,为 keil软件添加STC系列单片机器件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nA1gPM.html" rel="bookmark">NXP 飞思卡尔  S12Z 系列单片机 SCI 设置（解决SCI已经设置完成，但却无法通信的问题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日在使用了飞思卡尔S12Z设置SCI后总是不出数据,明明按照前代单片机S12Z的方法设置好了,为什么又不能用了呢? 下面是我简单对SCI1的设置,仅仅这样设置是出不来数据的: 1 SCI1BD = GLOBAL_BUS_CLOCK / SCI1_BAUD_RATE; 2 SCI1CR2 = SCI1CR2_RE_MASK + SCI1CR2_TE_MASK + SCI1CR2_RIE_MASK; 在上面的设置中我仅仅设置了SCI1的设置,假设了S12Z与S12一样,不存在同一口多个功能复用的情			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vbZPR3.html" rel="bookmark">freescale飞思卡尔 HC9S12 系列单片机   Flash擦写详解（一）之时钟设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flash擦写的内容,个人做HC9S12系列单片机时觉得应该是各模块内容中最难而且是最麻烦的一步了.只有能够对Flash进行擦写以后,所做的Bootloader才有真正手段将串口或者其他通讯手段接收到的数据或者程序写入Flash中进行程序或者数据的更新.当初做Flash的擦写也遇到了很多问题,网上搜罗下来也没有合适的帖子能够详细的将整个过程或者学习的思路以及最后实现的程序详细的加以解析,而本博文就是基于这个出发点来写的.技术本身应当是共享的才能真正让社会进步,不是么? 关于单片机Flash的基本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MomzeP3.html" rel="bookmark">stm32 NVIC中断管理实现&lbrack;直接操作寄存器&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转自:http://www.ichanging.org/stm32_NVIC.html cortex-m3支持256个中端,其中包含了16个内核中断,240个外部中断.stm32只有84个中断,包括16个内核中断和68个可屏蔽中断.stm32f103上只有60个中断,f107上才有68个中断. 中断是stm32很基础的一个功能,学会使用中断,才可以更好的使用其他的外设.理解stm32的中断,必须要先从stm32的中断优先级分组是怎么回事.要理解优先级分组,就要先理解什么是先占优先级,和次占优			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwyPB4.html" rel="bookmark">stm32 DMA数据搬运 &lbrack;操作寄存器&plus;库函数&rsqb;（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源:stm32 DMA数据搬运 [操作寄存器+库函数] DMA(Direct Memory Access)常译为“存储器直接存取”.早在Intel的8086平台上就有了DMA应用了. 一个完整的微控制器通常由CPU.存储器和外设等组件构成.这些组件一般在结构和功能上都是独立的,而各个组件的协调和交互就由CPU完成.如此一来,CPU作为整个芯片的核心,其处理的工作量是很大的.如果CPU先从A外设拿到一个数据送给B外设使用,同时C外设又需要D外设提供一个数据...这样的数据搬运工作将使CPU的负荷显			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v699j3.html" rel="bookmark">freescale飞思卡尔 HCS12 系列单片机bootloader详解（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在完成内存映射的内容后,接下来我们将进入一个简单Bootloader的实际设计中来.在第一节内容中,我们已经简单介绍了bootlaoder的作用,它实际上就是在单片机重启过程中的一个步骤:如果有bootloader的启动信号,则进入bootloader模式开始新程序的接收与flash的擦写,若没有bootloader的启动信号,则直接进入用户程序执行用户程序内容. bootloader的启动信号一般有如下两种: 1)外部引脚接地或者拉高电平:每次启动时先监测某一已经设定的引脚是否已经被操作到了b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzbRZdM.html" rel="bookmark">STMF103系列单片机无法调试和下载程序的原因及其解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间:2018/11月/15 经过实践中发现,使用stm32cubeMX 自动生成的代码,烧入单片机后第一次,断电重启后能够运行. 但是,再次对其进行操作的时候,发现无法进行调试,也无法对其下载程序. 怀疑是硬件问题,比如怀疑是硬件不稳定导致的.但是实际上原因并不是. 换了另外一块主芯片一样的不同设计的板子,依然发现了类似现象. 怀疑是软件问题. 经过同事指导,将boot0.boot1的跳线接到高电平,不从内部flash启动. 发现可以在IDE环境下(比如keil v5)对其进行下载程序.这一次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Zer8l0.html" rel="bookmark">STM32与STM8操作寄存器的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在STM8中,由于STM8寄存器较少,在头文件中定义寄存器的时候不用采取任何形式的封装,所以操作寄存器的时候直接可以用如下方式处理:PB_DDR |=0x20; 但是在STM32中,由于其寄存器实在太多,不方便像STM8一样定义头文件,而采用大量的结构体指针,宏定义进行封装,所以操作寄存器的时候用如下方式处理:GPIOC-&gt;ODR = 0X0000;而不再像STM8一样直接写成GPIOC_ODR =0X0000;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzRNJM.html" rel="bookmark" class="title">基于node&lpar;express&rpar;实现微信内第三方网页获取用户信息</a>
					<div>
						近来,有个需求:用户在微信中打开第三方网页,然后输入姓名手机号登录.用户退出后,再次进入网页不需要登录.拿到需求后,就看了下微信的公众平台开发者文档,原来微信内打开第三方网页,可以拿到用户的openi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZRwJ3.html" rel="bookmark" class="title">多多study02-html</a>
					<div>
						列表:作用:页面有一些数据需要显示. 无序列表:作用:显示一列没有排列顺序的数据.代码:&lt;ul&gt;    &lt;li&gt;&lt;/li&gt;    &lt;li&gt;&lt;/li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVV6G3.html" rel="bookmark" class="title">Linux 系统下查看硬件信息命令大全</a>
					<div>
						有许多命令可以用来查看 Linux 系统上的硬件信息.有些命令只能够打印出像 CPU 和内存这一特定的硬件组件信息,另外一些命令可以查看多种硬件组件的信息. 这个教程可以带大家快速了解一下查看各种硬件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knDVPM.html" rel="bookmark" class="title">服务器端获取表单数据的编码解码问题（servlet）</a>
					<div>
						首先需要明确指出的是,这里的服务器是指tomcat. 在页面没有明确指定编码的情况下,客户端通过input标签和字符串向服务器传递两个值param1和param2.如果直接使用request.getP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGxLbM.html" rel="bookmark" class="title">蓝桥杯竞赛题《地宫取宝》DP做法</a>
					<div>
						问题描述 X 国王有一个地宫宝库.是 n x m 个格子的矩阵.每个格子放一件宝贝.每个宝贝贴着价值标签. 地宫的入口在左上角,出口在右下角. 小明被带到地宫的入口,国王要求他只能向右或向下行走. 走 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqWLO4.html" rel="bookmark" class="title">8&period;JAVA编程思想类再生</a>
					<div>
						欢迎转载,转载请标明出处:http://blog.csdn.net/notbaron/article/details/51040239 &quot;Java 引人注目的一项特性是代码的重复使用或者再生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d957r3.html" rel="bookmark" class="title">HDU 5046 Airport（DLX重复覆盖）</a>
					<div>
						HDU 5046 Airport 题目链接 题意:给定一些机场,要求选出K个机场,使得其他机场到其他机场的最大值最小 思路:二分+DLX重复覆盖去判断即可 代码: #include &lt;cstdi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrwwn4.html" rel="bookmark" class="title">sharepoint 部分site下的库不能显示正常名称，显示为&amp;ldquo&semi;error&amp;rdquo&semi;</a>
					<div>
						错误现象: 部分site下的库不能显示正常名称,显示为&quot;error&quot;,Navigation的部分也會顯示Feature '525dc00c-0745-47c0-8073-221c2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLODbM.html" rel="bookmark" class="title">Eclipse 的常用快捷方式</a>
					<div>
						快捷方式&lt;!--[if !supportLists]--&gt;0. Ctrl + 1 (快速修复)&lt;!--[if !supportLists]--&gt;1. Ctrl + D (删除当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aY7zn0.html" rel="bookmark" class="title">linux引导流程</a>
					<div>
						本章重点: 1.linux引导流程 2.linux运行级别 3.linux启动服务管理 4.GRUB配置与应用 5.启动故障分析解决 linux启动流程 1.固件(fireware):固话在硬件上的程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZ7n70.html" rel="bookmark" class="title">Zabbix微信个人账号告警</a>
					<div>
						前言: 最近研究zabbix告警,网上看了帖子有各式各样姿势:电话语音告警,邮件告警,短信告警,微信公众号告警等等等..姿势五花八门,真是纠结. 电话语音告警,短信告警首先pass 前者花钱,后者通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ba8KM.html" rel="bookmark" class="title">elasticsearch 初学 笔记（1）</a>
					<div>
						使用 curl进行数据的的格式, 1.下载curl,配置路径 格式 C:\Users\Administrator&gt;curl -XPUT http://localhost:9200/dept/em ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxqxj3.html" rel="bookmark" class="title">Tornado-简介</a>
					<div>
						定义 Tornado全称为Tornado Web Server,是一个用Python写的Web服务器和应用框架,最终由FriendFeed公司使用,后来FriendFeed被Facebook收购之后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvW1A3.html" rel="bookmark" class="title">寻找失踪的整数数组&lpar;Find the missing integer&rpar;</a>
					<div>
						排列a包含N分子,其元素属于[0,N]之间,且不存在反复的元素.请你找出数组中缺失的元素(由于[0,N]之间有N+1个元素.而数组仅仅能存储N个元素.所以必定缺少一个元素).当中对数组的操作满足下列的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjYLBM.html" rel="bookmark" class="title">料蜕每短辗坠燎硕必兰烦问敲伟首</a>
					<div>
						http://i2.feixin.10086.cn/pages/91659/1344845600?retcode=0 http://i2.feixin.10086.cn/pages/91636/134 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPDo1M.html" rel="bookmark" class="title">多校第二场C题</a>
					<div>
						水贪心 #include&lt;algorithm&gt; #include&lt;iostream&gt; #include&lt;cstring&gt; #include&lt;cstdlib&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9r6E0.html" rel="bookmark" class="title">INSERTION&lowbar;SORT插入排序C&plus;&plus;实现</a>
					<div>
						以下用C++实现插入排序的升序和降序排序 算法来自&lt;算法导论&gt; #include&lt;iostream&gt; using namespace std; void INSERTION_S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjDbD0.html" rel="bookmark" class="title">一步一步打造自己的Android图片浏览器（原创）</a>
					<div>
						今天我们试着来制作一个自己的Android图片浏览器. 图片浏览器应该具有什么功能呢?鉴于不同的人不同的理解,这里提出一个基本的需求: 搜索手机内的所有图片,展示于一个列表中: 列表中展示的是图片的缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME118DM.html" rel="bookmark" class="title">判断是否含有中文，包含返回true，不包含返回false</a>
					<div>
						/** * 功能:判断是否含有中文,包含返回true,不包含返回false */ function isChina(s) { var patrn = /[\u4E00-\u9FA5]|[\uFE30- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35PX9n0.html" rel="bookmark" class="title">erlang的lists笔记</a>
					<div>
						一般循环用在遍历列表的时候,erlang有lists模块直接支持遍历,不需要自己写尾递归遍历list lists:foreach 用来遍历列表,不保存结果,最后一次返回ok lists:map 遍历列 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
